Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Current_var Class Reference

`#include <SSLIOP_Current.h>`

Inheritance diagram for TAO_SSLIOP_Current_var:

[legend]
Collaboration diagram for TAO_SSLIOP_Current_var:

[legend]
List of all members.

## Public Methods
| TAO_SSLIOP_Current_var (void)
| TAO_SSLIOP_Current_var (TAO_SSLIOP_Current_ptr p)
| TAO_SSLIOP_Current_var (const TAO_SSLIOP_Current_var &)
| ~TAO_SSLIOP_Current_var (void)
TAO_SSLIOP_Current_var & | operator= (TAO_SSLIOP_Current_ptr)
TAO_SSLIOP_Current_var & | operator= (const TAO_SSLIOP_Current_var &)
TAO_SSLIOP_Current_ptr | operator-> (void) const
| operator const TAO_SSLIOP_Current_ptr & () const
| operator TAO_SSLIOP_Current_ptr & ()
TAO_SSLIOP_Current_ptr | in (void) const
TAO_SSLIOP_Current_ptr & | inout (void)
TAO_SSLIOP_Current_ptr & | out (void)
TAO_SSLIOP_Current_ptr | _retn (void)
TAO_SSLIOP_Current_ptr | ptr (void) const
## Static Public Methods
TAO_SSLIOP_Current_ptr | tao_duplicate (TAO_SSLIOP_Current_ptr)
void | tao_release (TAO_SSLIOP_Current_ptr)
TAO_SSLIOP_Current_ptr | tao_nil (void)
TAO_SSLIOP_Current_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| TAO_SSLIOP_Current_var (const TAO_Base_var &rhs)
TAO_SSLIOP_Current_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
TAO_SSLIOP_Current_ptr | ptr_

## Constructor & Destructor Documentation

TAO_SSLIOP_Current_var::TAO_SSLIOP_Current_var | ( | void |  | ) |

TAO_SSLIOP_Current_var::TAO_SSLIOP_Current_var | ( | TAO_SSLIOP_Current_ptr | p | ) | `[inline]`

TAO_SSLIOP_Current_var::TAO_SSLIOP_Current_var | ( | const TAO_SSLIOP_Current_var & |  | ) |

TAO_SSLIOP_Current_var::~TAO_SSLIOP_Current_var | ( | void |  | ) |

TAO_SSLIOP_Current_var::TAO_SSLIOP_Current_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current_var::_retn | ( | void |  | ) |

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current_var::in | ( | void |  | ) | const

TAO_SSLIOP_Current_ptr& TAO_SSLIOP_Current_var::inout | ( | void |  | ) |

TAO_SSLIOP_Current_var::operator const TAO_SSLIOP_Current_ptr & | ( |  | ) | const

TAO_SSLIOP_Current_var::operator TAO_SSLIOP_Current_ptr & | ( |  | ) |

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current_var::operator-> | ( | void |  | ) | const

TAO_SSLIOP_Current_var& TAO_SSLIOP_Current_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

TAO_SSLIOP_Current_var& TAO_SSLIOP_Current_var::operator= | ( | const TAO_SSLIOP_Current_var & |  | ) |

TAO_SSLIOP_Current_var & TAO_SSLIOP_Current_var::operator= | ( | TAO_SSLIOP_Current_ptr | p | ) |

TAO_SSLIOP_Current_ptr& TAO_SSLIOP_Current_var::out | ( | void |  | ) |

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current_var::ptr | ( | void |  | ) | const

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current_var::tao_duplicate | ( | TAO_SSLIOP_Current_ptr |  | ) | `[static]`

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current_var::tao_nil | ( | void |  | ) | `[static]`

void TAO_SSLIOP_Current_var::tao_release | ( | TAO_SSLIOP_Current_ptr |  | ) | `[static]`

CORBA::Object* TAO_SSLIOP_Current_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- SSLIOP_Current.h
- SSLIOP_Current.cpp